import { type DomainEvent } from '@modules/shared';

export class KycApprovedEvent implements DomainEvent {
  readonly eventName = 'kyc.approved';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly adminId: string,
    public readonly comments?: string,
  ) {}
}
